<template>
	<view class="search-container">
		<view class="search-main">
			<view class="search">
				<view class="search-input">
					<text class="iconfont icon-iconfonticonfontsousuo1"></text>
					<input
						maxlength="20"
						focus
						type="text"
						value=""
						confirm-type="search"
						@focus="onFocus"
						@input="onShowClose"
						@confirm="subMitSearch()"
						placeholder="请输入商品关键词"
						v-model.trim="listQuery.searchWord"
					/>
					<text class="iconfont icon-shanchu" v-if="isShowClose" @click="delInputText()"></text>
				</view>
				<view class="search-btn" @click="subMitSearch">搜索</view>
			</view>
		</view>
		<view class="search-container-history" v-if="!isShowWrapper">
			<view :class="'s-' + themeClass" v-if="serachRecordList.length > 0">
				<view class="header">
					搜索历史 <text class="iconfont icon-shanchu1" @click="confirmDetele"></text>
				</view>
				<view class="list">
					<view
						v-for="(item, index) in serachRecordList"
						:key="index"
						@click="keywordsClick(item.searchWord)"
						>{{ item.searchWord }}</view
					>
				</view>
			</view>
		</view>
		<view
			class=" order-container"
			v-if="isShowWrapper"
			:style="{ overflow: 'auto', height: showSkeleton ? windowHeight + 'px' : 'auto' }"
		>
			<scroll-view
				class="tui-skeleton"
				:style="{ height: scrollHeight + 'px' }"
				@scrolltolower="scrolltolower"
				scroll-y
			>
				<view :class="{ 'tui-order-list': scrollTop >= 0 }" class="tui-skeleton clearfix">
					<!-- 空白页 -->
					<empty v-if="isShowEmpty" :navbarHeight="navbarHeight"></empty>
					<!-- 列表 -->
					<view v-else class="tui-order-content">
						<view
							class="tui-order-item"
							v-for="(order, orderIndex) in orderList"
							:key="orderIndex"
							@click.stop="detail(order.shopOrderId)"
						>
							<view class="order-title">
								<view class="order-title-t">
									<view class="order-title-tip tui-skeleton-fillet">
										{{ order.status | statusFilters }}
									</view>
									<text
										class="bage buss tui-skeleton-fillet"
										v-if="order.orderSubmitType == 3 || order.orderSubmitType == 4"
										>采购员</text
									>
									<text
										class="bage auto tui-skeleton-fillet"
										v-if="
											order.orderSubmitType == 0 ||
												order.orderSubmitType == 1 ||
												order.orderSubmitType == 2
										"
										>自主</text
									>
								</view>
							</view>
							<block v-for="(shop, sindex) in order.orderProductList" :key="sindex">
								<view class="goods-title">
									<view class="title-text tui-skeleton-fillet">
										{{ shop.shopName }} <label class="iconfont icon-jinrudianpu"></label>
									</view>
								</view>
								<view class="goods-item">
									<view class="goods-pros-t">
										<view class="pros-img tui-skeleton-fillet">
											<image :src="shop.image" alt="" />
										</view>
										<view class="pros-product clearfix">
											<view class="producttitle tui-skeleton-fillet">
												{{ shop.name }}
											</view>
											<view
												class="productspec tui-skeleton-fillet"
												v-if="shop.productCategory != 2"
											>
												规格:{{ shop.productUnit }}
											</view>
											<view class="productprice">
												<view class="price tui-skeleton-fillet">
													<text>￥{{ shop.price | NumFormat }}</text>
												</view>
												<view class="count tui-skeleton-fillet">
													<text class="small">x</text> {{ shop.num }}
												</view>
											</view>
										</view>
									</view>
								</view>
							</block>
							<view class="order-footer">
								<view class="order-footer-bot">
									<view class="count tui-skeleton-fillet">
										共{{ order.itemCount }}件商品
									</view>
									<view
										class="money tui-skeleton-fillet"
										v-if="order.status == 31 || order.status == 32 || order.status == 33"
									>
										已支付：
										<label style="color:#f94b4b ;">
											¥{{ order.receiptAmount | NumFormat }}
										</label>
									</view>
									<view class="money tui-skeleton-fillet" v-else>
										待付总额：
										<label style="color:#f94b4b ;">
											¥{{ order.obligation | NumFormat }}
										</label>
									</view>
								</view>
							</view>
							<!-- 底部button -->
							<cm-list-button
								ref="orderButton"
								:status="order.status"
								:order="order"
								@shareConfirm="handButtonShareConfirm"
								@buttonConfirm="handButtonConfirm"
							/>
						</view>
						<!--加载loadding-->
						<tui-loadmore :visible="loadding" :index="3" type="black" />
						<tui-nomore :visible="!pullUpOn" :backgroundColor="'#ffffff'" :text="nomoreText" />
						<!--加载loadding-->
					</view>
				</view>
			</scroll-view>
		</view>
		<!-- 分享弹窗 -->
		<cm-share-popup :shopOrderId="handleShopOrderId" v-if="isShareModal" @shareConfirm="onShareAppMessage" />
		<!-- 提示弹窗 -->
		<tui-modal
			:show="modal"
			@click="handleClick"
			:content="contentModalText"
			:button="modalButton"
			color="#333"
			:size="32"
			shape="circle"
			:maskClosable="false"
		/>
		<!-- 透明模态层 -->
		<modal-layer v-if="isModalLayer"/>
	</view>
</template>

<script>
import empty from './components/empty'
import modalLayer from '@/components/modal-layer'
import cmListButton from './components/cm-list-button' //底部按钮
import cmSharePopup from './components/cm-share-popup' //分享弹窗
const defaultListQuery = {
	pageNum: 1, // 页码
	pageSize: 10, // 每页条数
	userId: 0, // 用户Id
	searchWord: '' // 搜索关键词
}
export default {
	components: {
		empty,
		modalLayer,
		cmListButton,
		cmSharePopup
	},
	data() {
		return {
			listQuery: Object.assign({}, defaultListQuery),
			themeClass: 'block',
			isShowClose: false, // 是否显示清空输入框图标
			isSearchHistory: false, // 是都显示搜索历史
			serachRecordList: [],
			isShowWrapper: false, 
			isModallayer: false,
			isShowEmpty: false,
			windowHeight: '',
			showSkeleton: true,
			orderList: [],
			scrollTop: 0,
			skeletonShow: true,
			isPayModel:false, // 付款弹窗
			isShareModal: false, // 控制分享弹窗
			isCenceModal: false, // 控制取消订单弹窗
			isShowDelModal: false, // 控制删除订单弹窗
			isModalLayer: false,
			loadding: false,
			pullUpOn: true,
			hasNextPage: false,
			pullFlag: true,
			navbarHeight: '',
			nomoreText: '上拉显示更多',
			scrollHeight: '',
			modelType: 0,
			beansType: 1,
			beanNumber: 0,
			payModelData: {},
			handleShopOrderId: 0, //点击按钮传入的的子订单ID
			handleModelEven:0,
			modal:false,
			contentModalText: '订单查询失败,请稍候重试~', //操作文字提示语句
			modalButton: [
				{
					text: '取消',
					type: 'gray',
					plain: true //是否空心
				},
				{
					text: '确定',
					customStyle: {
						color: '#fff',
						bgColor: '#F3B574'
					},
					plain: false
				}
			]
		}
	},
	onLoad() {
		this.initGetSerachRecord()
	},
	filters: {
		NumFormat(value) {
			//处理金额
			return Number(value).toFixed(2)
		},
		statusFilters(value) {
			//处理订单状态显示
			const map = {
				0: '待确认',
				2: '交易完成',
				4: '已关闭',
				5: '交易全退',
				6: '交易全退',
				11: '待付款待发货',
				12: '待付款部分发货',
				13: '待付款已发货',
				21: '部分付款待发货',
				22: '部分付款部分发货',
				23: '部分付款已发货',
				31: '已付款待发货',
				32: '已付款部分发货',
				33: '已付款已发货'
			}
			return map[value]
		}
	},
	methods: {
		subMitSearch() {
			if (this.listQuery.searchWord == '') {
				this.$util.msg('请输入商品关键词', 2000)
			} else {
				this.getList()
			}
		},
		async initGetSerachRecord() {
			try{
				const userInfo = await this.$api.getStorage()
				this.listQuery.userId = userInfo.userId ? userInfo.userId : 0
				const res = await this.OrderService.SearchOrderHistory({ userId: this.listQuery.userId })
				this.serachRecordList = res.data
				if (this.serachRecordList.length > 0) {
					this.isSearchHistory = true
				} else {
					this.isSearchHistory = false
				}
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		//清空历史记录
		async confirmDetele() {
			try{
				const res = await this.OrderService.ClearOrderHistory({ userId: this.listQuery.userId })
				this.$util.msg(res.msg, 2000, true, 'success')
				this.serachRecordList = []
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		async getList() {
			try{
				const res = await this.OrderService.SearchOrderInfo(this.listQuery)
				const data = res.data
				if (data && data.list.length > 0) {
					this.orderList = data.list
					this.hasNextPage = data
					if (this.hasNextPage) {
						this.pullUpOn = false
						this.nomoreText = '上拉显示更多'
					} else {
						if (this.orderList.length < 2) {
							this.pullUpOn = true
						} else {
							this.pullUpOn = false
							this.nomoreText = '已至底部'
						}
					}
					this.isShowWrapper = true
					this.showSkeleton = true
					this.isShowEmpty = false
				} else {
					this.isShowEmpty = true
				}
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		async getOnReachBottomData() {
			//上拉加载
			try{
				this.listQuery.pageNum += 1
				const res = await this.OrderService.SearchOrderInfo(this.listQuery)
				const data = res.data
				this.orderList = this.orderList.concat(data.list)
				this.hasNextPage = data.hasNextPage
				this.pullFlag = false // 防上拉暴滑
				setTimeout(() => {
					this.pullFlag = true
				}, 500)
				if (this.hasNextPage) {
					this.pullUpOn = false
					this.nomoreText = '上拉显示更多'
				} else {
					this.loadding = false
					this.pullUpOn = false
					this.nomoreText = '已至底部'
				}
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		async handButtonConfirm(data) {
			//获取点击
			this.handleShopOrderId = data.shopOrderId
			switch (data.type) {
				case 'cancel'://取消订单
					this.modal = true
					this.contentModalText = '确认取消该订单吗？'
					this.handleModelEven = 1
					break
				case 'confirm'://确认收货
					this.modal = true
					this.contentModalText = '确认收货吗？'
					this.handleModelEven = 2
					break	
				case 'delete'://删除订单
					this.modal = true
					this.contentModalText = '确认删除该订单吗？'
					this.handleModelEven = 3
					break	
				case 'confirmation': // 确认订单
					this.modal = true
					this.contentModalText = '确认此订单吗？'
					this.handleModelEven = 4
					break
				case 'pay':
					this.getOrderPaymentValidation()
					break	
				case 'query':
					this.isModalLayer = true
					this.$api.navigateTo('/pages/user/order/order-logistics?shopOrderId=' + data.shopOrderId)
					break	
				case 'upload':
					this.$api.navigateTo('/pages/user/order/order-addpay?shopOrderId=' + data.shopOrderId)
					break
			}
		},
		handleClick(e){
			//确认操作
			if (e.index == 1) {
				switch(this.handleModelEven){
					case 1://取消订单
						this.cancelOrder()
					 break
					case 2://确认收货
						this.confirmReceipt()
					 break
					case 3://删除订单
						this.deleteOrder()
					 break
					case 4://确认订单
						this.affirmOrder()
					 break
				}
			}
			this.modal = false
		},
		//取消订单
		async cancelOrder() {
			try{
				const res = await this.OrderService.CancelOrder({ shopOrderId: this.handleShopOrderId, userIdentity : 0 })
				this.$util.msg(res.msg, 2000, true, 'success')
				setTimeout(() => {
					this.getList()
				}, 2000)
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		//确认收货
		async confirmReceipt() {
			try{
				const res = await this.OrderService.ConfirmReceipt({ shopOrderId: this.handleShopOrderId })
				this.$util.msg(res.msg, 2000, true, 'success')
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		//删除订单
		async deleteOrder() {
			try{
				const res = await this.OrderService.DeleteOrder({ shopOrderId: this.handleShopOrderId })
				this.$util.msg(res.msg, 2000, true, 'success')
				setTimeout(() => {
					this.getList()
				}, 2000)
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		//确认订单
		async affirmOrder() {
			try{
				const res = await this.OrderService.AffirmOrder({ shopOrderId: this.handleShopOrderId })
				this.$util.msg(res.msg, 2000, true, 'success')
				setTimeout(() => {
					this.getList()
				}, 2000)
			}catch(error){
				this.$util.msg(error.msg, 2000)
			}
		},
		//监听根据付款状态做操作
		async getOrderPaymentValidation() {
			try {
				const res = await this.OrderService.OrderPaymentValidation({ shopOrderId: this.handleOrderId })
				this.$api.navigateTo(`/pages/user/order/order-pay-list?shopOrderId=${res.data.shopOrderId}`)
			} catch (error) {
				this.$util.msg(error.msg, 2000)
			}
		},
		detail(shopOrderId) {
			//订单详情跳转
			this.isModalLayer = true
			this.$api.navigateTo(`/pages/user/order/order-details?shopOrderId=${shopOrderId}`)
		},
		onShowClose() {
			//输入框失去焦点时触发
			this.inputEmpty(this.listQuery.searchWord)
		},
		onFocus() {
			//输入框获取焦点时触发
			this.inputEmpty(this.listQuery.searchWord)
			this.initGetSerachRecord()
		},
		inputEmpty(val) {
			this.isShowWrapper = false
			if (val != '') {
				this.isShowClose = true
			} else {
				this.isShowClose = false
			}
		},
		delInputText() {
			//清除输入框内容
			this.listQuery.searchWord = ''
			this.isShowClose = false
			this.isShowWrapper = false
			this.inputEmpty(this.listQuery.searchWord)
			this.initGetSerachRecord()
		},
		keywordsClick(item) {
			//关键词搜索与历史搜索
			this.listQuery.searchWord = item
			this.isShowClose = true
			this.subMitSearch()
		},
		handButtonShareConfirm(data) {
			this.handleShopOrderId = data
		},
		onShareAppMessage(res) {
			//分享转发
			this.isShareModal = false
			if (res.from === 'button') {
				// 来自页面内转发按钮
			}
			return {
				title: '您有新的分享订单，快来查看吧~',
				path: `/pages/user/order/order-sharelogin?shopOrderId=${this.handleShopOrderId}&userId=${this.listQuery.userId}`,
				imageUrl: 'https://static.caimei365.com/app/mini-mcare/icon/icon_shareOrder@2x.png'
			}
		},
		scrolltolower() {
			if (this.hasNextPage) {
				this.loadding = true
				this.pullUpOn = true
				this.showSkeleton = false
				this.getOnReachBottomData()
			}
		},
		setScrollHeight() {
			const { windowHeight, pixelRatio } = wx.getSystemInfoSync()
			this.windowHeight = windowHeight - 1
			this.scrollHeight = windowHeight - 1
		},
		PromotionsFormat(promo) {
			//促销活动类型数据处理
			if (promo != null) {
				if (promo.type == 1 && promo.mode == 1) {
					return true
				} else {
					return false
				}
			}
			return false
		},
		
		handleBeanlClick() {
			//关闭采美豆弹窗
			this.getList()
		}
	},
	onPageScroll(e) {
		this.scrollTop = e.scrollTop
	},
	onShow() {
		this.isModalLayer = false
		this.setScrollHeight()
	}
}
</script>

<style lang="scss">
@import '@/uni.scss';
page {
	background-color: #f7f7f7 !important;
}
.search {
	width: 702rpx;
	height: 70rpx;
	padding: 12rpx 24rpx;
	border-bottom: 1px solid #f0f0f0;
	position: fixed;
	top: 0;
	left: 0;
	background: #ffffff;
	z-index: 1001;
	.search-input {
		width: 448rpx;
		height: 70rpx;
		padding: 0 68rpx;
		line-height: 70rpx;
		border-radius: 40rpx;
		position: relative;
		background: #f0f0f0;
		float: left;
		.icon-iconfonticonfontsousuo1 {
			font-size: 36rpx;
			color: #8a8a8a;
			position: absolute;
			left: 24rpx;
			z-index: 10;
		}
		.icon-shanchu {
			font-size: 36rpx;
			color: #8a8a8a;
			position: absolute;
			right: 24rpx;
			top: 0;
			padding: 0 10rpx;
			z-index: 10;
		}
		input {
			width: 448rpx;
			height: 70rpx;
			background-color: #f0f0f0;
			font-size: 26rpx;
		}
	}
	.search-btn {
		width: 118rpx;
		height: 70rpx;
		line-height: 70rpx;
		color: $color-system;
		font-size: 30rpx;
		text-align: center;
		float: left;
	}
	.voice-icon {
		width: 36rpx;
		height: 36rpx;
		padding: 16rpx 20rpx 16rpx 0;
		position: absolute;
		left: 16rpx;
		top: 4rpx;
		z-index: 10;
	}
}
.search-container {
	padding-top: 106rpx;
}
.s-block {
	background: #ffffff;
	.header {
		font-size: 32rpx;
		padding: 40rpx 24rpx 22rpx 24rpx;
		line-height: 42rpx;
		font-size: 30rpx;
		font-weight: bold;
		position: relative;
		.icon-shanchu1 {
			font-size: 36rpx;
			color: #666666;
			float: right;
			padding: 0 10rpx;
			z-index: 10;
			font-weight: normal;
		}
	}
	.list {
		display: flex;
		flex-wrap: wrap;
		padding-bottom: 40rpx;
		view {
			color: #8a8a8a;
			font-size: 24rpx;
			box-sizing: border-box;
			text-align: center;
			height: 48rpx;
			line-height: 48rpx;
			border-radius: 24rpx;
			margin: 12rpx;
			padding: 0 30rpx;
			overflow: hidden;
			white-space: nowrap;
			text-overflow: ellipsis;
			background-color: #f3f3f3;
		}
	}
}
.s-circle {
	margin-top: 30rpx;
	.header {
		font-size: 32rpx;
		padding: 30rpx;
		border-bottom: 2rpx solid #f9f9f9;
		position: relative;
		image {
			width: 36rpx;
			height: 36rpx;
			padding: 10rpx;
			position: absolute;
			right: 40rpx;
			top: 24rpx;
		}
	}
	.list {
		display: flex;
		flex-wrap: wrap;
		padding: 0 30rpx 20rpx;
		view {
			padding: 8rpx 30rpx;
			margin: 20rpx 30rpx 0 0;
			font-size: 28rpx;
			color: #8a8a8a;
			background-color: #f7f7f7;
			box-sizing: border-box;
			text-align: center;
			border-radius: 20rpx;
		}
	}
}
.wanted-block {
	margin-top: 30rpx;
	.header {
		font-size: 32rpx;
		padding: 30rpx;
	}
	.list {
		display: flex;
		flex-wrap: wrap;
		view {
			width: 50%;
			color: #8a8a8a;
			font-size: 28rpx;
			box-sizing: border-box;
			text-align: center;
			padding: 20rpx 0;
			border-top: 2rpx solid #fff;
			border-left: 2rpx solid #fff;
			background-color: #f7f7f7;
			overflow: hidden;
			white-space: nowrap;
			text-overflow: ellipsis;
		}
	}
}
.wanted-circle {
	margin-top: 30rpx;
	.header {
		font-size: 32rpx;
		padding: 30rpx;
	}
	.list {
		display: flex;
		flex-wrap: wrap;
		padding: 0 30rpx 20rpx;
		view {
			padding: 8rpx 30rpx;
			margin: 20rpx 30rpx 0 0;
			font-size: 28rpx;
			color: #8a8a8a;
			background-color: #f7f7f7;
			box-sizing: border-box;
			text-align: center;
			border-radius: 20rpx;
		}
	}
}
.order-container {
	scroll-view {
		height: 100%;
		overflow: scroll;
	}
}
.container {
	padding-bottom: env(safe-area-inset-bottom);
	height: auto;
	position: relative;
}
.tui-order-content {
	width: 100%;
	height: auto;
}
.tui-order-list {
	width: 100%;
	position: relative;
}
.tui-order-item {
	display: flex;
	flex-direction: column;
	width: 702rpx;
	padding: 20rpx 24rpx 0 24rpx;
	background: #fff;
	border-bottom: 20rpx solid #f7f7f7;
}
.order-title {
	width: 100%;
	height: auto;
	.order-title-t {
		width: 100%;
		height: 68rpx;
		float: left;
		line-height: 68rpx;
		position: relative;
		.bage-icon {
			width: 50rpx;
			height: 50rpx;
			display: block;
			position: absolute;
			right: 110rpx;
			top: 12rpx;
		}
		.bage{
			display: inline-block;
			width: 72rpx;
			height: 32rpx;
			margin: 19rpx 10rpx 0 10rpx;
			border-radius: 4rpx;
			line-height: 32rpx;
			font-size: $font-size-22;
			text-align: center;
			color: #ffffff;
			float: right;
			&.buss{
				background: radial-gradient(circle, rgba(255, 39, 180, 1) 0%, rgba(193, 77, 245, 1) 100%);
			}
			&.auto{
				background: radial-gradient(circle, rgba(255, 180, 39, 1) 0%, rgba(245, 142, 77, 1) 100%);
			}
			&.ebate{
				background: #ff7a51;
			}
		}
		.order-title-tip {
			float: left;
			font-size: $font-size-28;
			line-height: 68rpx;
			text-align: right;
			color: #ff2a2a;
		}
	}
}
.goods-title {
	width: 100%;
	height: 56rpx;
	float: left;
	margin-top: 10rpx;
	.floor-item-act {
		height: 56rpx;
		text-align: center;
		box-sizing: border-box;
		float: left;
		padding: 10rpx 0;
		margin-right: 12rpx;
	}
	.title-text {
		width: 400rpx;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
		float: left;
		font-size: $font-size-28;
		color: $text-color;
		text-align: left;
		line-height: 56rpx;
		font-weight: bold;
	}
}
.goods-item {
	width: 100%;
	height: auto;
}
.goods-pros-t {
	display: flex;
	align-items: center;
	width: 100%;
	height: 217rpx;
	padding: 24rpx 0;
	.pros-img {
		float: left;
		width: 210rpx;
		height: 100%;
		border-radius: 10rpx;
		margin: 0 26rpx 0 0;
		position: relative;
		.tips {
			display: inline-block;
			width: 80rpx;
			height: 40rpx;
			background-image: linear-gradient(214deg, #ff4500 0%, #ff5800 53%, #ff4367 100%);
			line-height: 40rpx;
			text-align: center;
			font-size: $font-size-24;
			color: #ffffff;
			border-radius: 10rpx 0 10rpx 0;
			position: absolute;
			top: 0;
			left: 0;
		}
		image {
			width: 210rpx;
			height: 210rpx;
			border-radius: 10rpx;
			border: 1px solid #f3f3f3;
		}
	}
}
.pros-product {
	width: 468rpx;
	height: 100%;
	line-height: 36rpx;
	font-size: $font-size-26;
	position: relative;
	.producttitle {
		width: 100%;
		display: inline-block;
		height: auto;
		text-overflow: ellipsis;
		display: -webkit-box;
		word-break: break-all;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 2;
		overflow: hidden;
		margin-bottom: 8rpx;
	}
	.productspec {
		height: 36rpx;
		color: #999999;
	}
	.productprice {
		height: 48rpx;
		position: absolute;
		width: 100%;
		bottom: 0;
		.price {
			line-height: 48rpx;
			font-size: $font-size-28;
			width: 48%;
			color: #ff2a2a;
			float: left;
			font-weight: bold;
			&.none {
				text-decoration: line-through;
				color: #999999;
			}
		}
		.count {
			height: 100%;
			float: right;
			position: relative;
			.small {
				color: #666666;
			}
		}
	}
	.floor-item-act {
		width: 100%;
		height: 56rpx;
		text-align: center;
		box-sizing: border-box;
		float: left;
		padding: 0 0 10rpx 0;
	}
}
.order-footer {
	width: 100%;
	height: 78rpx;
	float: left;
	.order-footer-top {
		width: 100%;
		height: 34rpx;
		line-height: 34rpx;
		font-size: $font-size-24;
		color: #999999;
		text-align: right;
	}
	.order-footer-bot {
		width: 100%;
		float: left;
		height: 48rpx;
		line-height: 48rpx;
		font-size: $font-size-28;
		font-weight: bold;
		color: $text-color;
		.count {
			width: 50%;
			float: left;
			text-align: left;
		}
		.money {
			width: 50%;
			float: right;
			text-align: right;
		}
	}
}
</style>
